Thursday, April 17, 2014

Frederic Minne (ZeFredz) - Catholic University efsa of Louvain - Contributor to Claroline zefredz e


Hello, I'd like to be sure what I'll efsa do before the update, even though I've read the procedure. 1. Claroline Delete folders efsa and web and replace efsa them with new or not to delete and copy over? In fact, I do not understand too the message WARNING! Do not delete the previous directories and files before Installing the new ones. Will you loose your previous configuration files (eg 'claro_main.conf.php'). Simply replace the old directory with a new one with a 'copy' command. That way, the new file versions Will overwrite the old ones and leave the others intact. 2. It is said not to execute the update script, but for a version> 1.9, it can be done. So I can run the script efsa in managing platform-> Update, is not it? Thank you in advance! Kzou Posts: 5 Joined: Tue November 26, 2013 10:34 am
Hello, Kzou wrote: 1 Delete folders and web claroline and replace them with new or not to delete and copy over.? In fact, I do not understand too the message WARNING! Do not delete the previous directories and files before Installing the new ones. Will you loose your previous configuration files (eg 'claro_main.conf.php'). Simply replace the old directory with a new one with a 'copy' command. That way, the new file versions Will overwrite the old ones and leave the others intact. As I mentioned in response efsa to another message this morning (http://forum.claroline.net/viewtopic.php?f=88&t=26609 # p61793), an alternative is to rename the old files and directories efsa (claroline -> claroline_ancien, web -> web_ancien, index.php -> index.php_ancien). This way it is easier to restore the version 1.10 in case of problems. If you touch the other directories (shopping, module, platform, tmp), you may lose data ... therefore not touch it! :) Kzou wrote. 2 It is said not to execute the update script, but for a version> 1.9, it can be done. So I can run the script in managing platform-> Update, is not it? To clarify, update 1.10 to 1.11 is an exception because it does not require efsa the upgrade script via the administration of plateforme.Le replacement claroline 2 directories and web and index file. php enough. The same for an update to 1.11.x day 1.11.y (where x and y are numbers). efsa By cons, if you are migrating from a version prior to 1.10, the script update is required! In general (and with the exception of cases 1.10 to 1.11), if the second digit of the version number changes, the upgrade script must be run (1.11 to 1.9 for example). In the case of 1.10 to 1.11, it can be run ... but will do nothing! Sincerely,
Frederic Minne (ZeFredz) - Catholic University efsa of Louvain - Contributor to Claroline zefredz efsa Contributors Active Forum Posts: 1446 Joined: Thu September 2, 2004 1:41 pm Location: Belgium, Louvain-la-Neuve
Small addition: after updating the Claroline platform itself, do not forget to check if there has not updated add-ons if you use. Visit the https://sourceforge.net/projects/claroline-pack/files/ page. 1. Verify efsa that one of the modules you are using is not in "Modules for Claroline 1.11.8 +". If so, download the new version and update by replacing the corresponding files in the directory "module" for your platform 2. If you still have additional modules not updated after this first step, then check in "Modules for Claroline 1.11.5" and proceed in the same way 3. If there are not updated on your platform modules, finally check in "Modules for Claroline 1.11" Sincerely,
Frederic Minne (ZeFredz) - Catholic University efsa of Louvain - Contributor to Claroline zefredz Contributors Active Forum Posts: 1446 Joined: Thu September 2, 2004 1:41 pm Location: Belgium, Louvain-la-Neuve
Return to Bugs Claroline 1.11 (stable version) Jump to: Select a forum ------------------ Development Bugs Claroline 1.11 (stable version) Bugs Claroline 1.10 (previous stable version) Proposals Help and bugs and contributions Modules Tools and Applets Proposals and contributions Other topics Educational scenario Archive Bugs Claroline 1.8.11 Bugs Claroline efsa 1.7.9 Bugs Claroline 1.9 (old Version) Who is online
Powered_by efsa Time: 0.015s | 12 Queries | GZIP: On

No comments:

Post a Comment